Package com.databricks.jdbc.model.telemetry

## Class TelemetryEvent

- java.lang.Object
- - com.databricks.jdbc.model.telemetry.TelemetryEvent

    public class TelemetryEvent
    extends Object

### Constructor Summary

Constructors
`TelemetryEvent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DriverConnectionParameters` `getDriverConnectionParameters()`
`DriverSystemConfiguration` `getDriverSystemConfiguration()`
`String` `getSessionId()`
`TelemetryEvent` `setAuthType​(String authType)`
`TelemetryEvent` `setDriverConnectionParameters​(DriverConnectionParameters connectionParameters)`
`TelemetryEvent` `setDriverErrorInfo​(DriverErrorInfo driverErrorInfo)`
`TelemetryEvent` `setDriverSystemConfiguration​(DriverSystemConfiguration driverSystemConfiguration)`
`TelemetryEvent` `setLatency​(Long latency)`
`TelemetryEvent` `setSessionId​(String sessionId)`
`TelemetryEvent` `setSqlOperation​(SqlExecutionEvent sqlOperation)`
`TelemetryEvent` `setSqlStatementId​(String sqlStatementId)`
`TelemetryEvent` `setVolumeOperation​(DriverVolumeOperation volumeOperation)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TelemetryEvent

    public TelemetryEvent()

### Method Detail

#### getSessionId

    public String getSessionId()

#### setSessionId

    public TelemetryEvent setSessionId​(String sessionId)

#### setLatency

    public TelemetryEvent setLatency​(Long latency)

#### setDriverConnectionParameters

    public TelemetryEvent setDriverConnectionParameters​(DriverConnectionParameters connectionParameters)

#### getDriverConnectionParameters

    public DriverConnectionParameters getDriverConnectionParameters()

#### setSqlStatementId

    public TelemetryEvent setSqlStatementId​(String sqlStatementId)

#### getDriverSystemConfiguration

    public DriverSystemConfiguration getDriverSystemConfiguration()

#### setDriverSystemConfiguration

    public TelemetryEvent setDriverSystemConfiguration​(DriverSystemConfiguration driverSystemConfiguration)

#### setAuthType

    public TelemetryEvent setAuthType​(String authType)

#### setVolumeOperation

    public TelemetryEvent setVolumeOperation​(DriverVolumeOperation volumeOperation)

#### setSqlOperation

    public TelemetryEvent setSqlOperation​(SqlExecutionEvent sqlOperation)

#### setDriverErrorInfo

    public TelemetryEvent setDriverErrorInfo​(DriverErrorInfo driverErrorInfo)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`